.notification-bonus-modal {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: flex-end;
}
.notification-bonus-modal .notification-bonus-modal-close {
    width: 40px;
    height: 40px;
    cursor: pointer;
}
.notification-bonus-modal .notification-bonus-modal-close svg {}
.notification-bonus-modal .notification-bonus-modal-wrapper {
    width: 100%;
    max-width: 327px;
    min-width: 327px;
    background: rgba(9,15,30,1);
    border-radius: 14px;
}
.notification-bonus-modal .notification-bonus-modal-container {
    display: flex;
    border-radius: 14px;
    width: calc(100% - 30px);
    padding: 0px 15px 15px 15px;
    overflow: hidden;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}
.notification-bonus-modal .notification-bonus-modal-container .notification-bonus-modal-line {
    width: 90%;
    height: 6px;
    border-radius: 14px;
    margin-top: -2px;
}

.notification-bonus-modal .notification-bonus-modal-container .notification-bonus-modal-image {margin-top: 17px;}
.notification-bonus-modal .notification-bonus-modal-container .notification-bonus-modal-image img {
    width: 138px;
    height: 138px;
    border-radius: 14px;
}
.notification-bonus-modal .notification-bonus-modal-container .notification-bonus-modal-details {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}
.notification-bonus-modal .notification-bonus-modal-container .notification-bonus-modal-details .notification-bonus-modal-details-title {
    color: #fff;
    font-size: 16px;
    font-weight: 500;
}
.notification-bonus-modal .notification-bonus-modal-container .notification-bonus-modal-details .notification-bonus-modal-details-text {
    color: rgba(255, 255, 255, 0.8);
    font-weight: 400;
    font-size: 14px;
    text-align: center;
}
.notification-bonus-modal .notification-bonus-modal-container .notification-bonus-modal-buttons {
    width: 100%;
    display: flex;
    align-items: center;
}
.notification-bonus-modal .notification-bonus-modal-container .notification-bonus-modal-buttons .purple-button,
.notification-bonus-modal .notification-bonus-modal-container .notification-bonus-modal-buttons .blue-button {
    width: 100%;
}

@media (max-width: 500px) {
    .notification-bonus-modal .notification-bonus-modal-close {
        padding-right: 10px;
    }

    .notification-bonus-modal .notification-bonus-modal-wrapper {
        width: 100vw;
        max-width: unset;
        min-width: unset;
    }
}

/* Freeplay Modal */
.notification-bonus-modal.freeplay-modal .notification-bonus-modal-container {
    background: linear-gradient(90deg, rgba(94, 0, 255, 0.20) 0%, rgba(94, 0, 255, 0.05) 100%);
}

.notification-bonus-modal.freeplay-modal .notification-bonus-modal-container .notification-bonus-modal-line {
    background: #5E00FF;
    box-shadow: 0 0 20px 4px rgba(212, 71, 170, 0.25);
}

/* Boost Modal */
.notification-bonus-modal.deposit-boost-modal .notification-bonus-modal-container {
    background: linear-gradient(90deg, rgba(0, 89, 255, 0.20) 0%, rgba(0, 89, 255, 0.05) 100%);
}

.notification-bonus-modal.deposit-boost-modal .notification-bonus-modal-container .notification-bonus-modal-line {
    background: #0059FF;
    box-shadow: 0 0 20px 4px rgba(0, 89, 255, 0.25);
}

